Package org.apache.commons.math3.analysis.differentiation

# Interface UnivariateVectorFunctionDifferentiator

All Known Implementing Classes:
  `FiniteDifferencesDifferentiator`

public interface UnivariateVectorFunctionDifferentiator
Interface defining the function differentiation operation.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`UnivariateDifferentiableVectorFunction`
`differentiate(UnivariateVectorFunction function)`
Create an implementation of a `differential` from a regular `vector function`.

## Method Details

### differentiate

UnivariateDifferentiableVectorFunction differentiate(UnivariateVectorFunction function)
Create an implementation of a `differential` from a regular `vector function`.

Parameters:
  `function` - function to differentiate
Returns:
  differential function